package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 出库申请单对象 out_bound
 *
 * @author tony
 * @date 2024-08-07
 */
@TableName(resultMap = "com.zbf.system.mapper.OutBoundMapper.OutBoundResult")
public class OutBound extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /** 来源单号 */
    @Excel(name="领料单号")
    private String deliveryId;
    /** 物料列表 */
    @Excel(name = "物料列表")
    private String itemList;

    /** 出库类型 */
    @Excel(name = "出库类型")
    private String ckType;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private String applyTime;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyer;

    /** 申请人 */
    @Excel(name = "所在仓库")
    private String storageId;

    // 第一申请人
    @Excel(name = "第一审批人")
    private String deptmanager;

    // 第二申请人
    @Excel(name = "第二审批人")
    private String managerName;

    //第三申请人
    @Excel(name = "第三审批人")
    private String crossDeptManager;

    //钉钉实例ID
    @Excel(name = "实例ID")
    private String instanceId;
    //后来审核任务ID
    @Excel(name = "任务ID")
    private String taskId;
    //后来实例任务ID
    @Excel(name = "后台实例ID")
    private String fInstanceId;
    private String finishName;
    public String getfInstanceId() {
        return fInstanceId;
    }

    public String getFinishName() {
        return finishName;
    }

    public void setFinishName(String finishName) {
        this.finishName = finishName;
    }

    public void setfInstanceId(String fInstanceId) {
        this.fInstanceId = fInstanceId;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getCrossDeptManager() {
        return crossDeptManager;
    }

    public void setCrossDeptManager(String crossDeptManager) {
        this.crossDeptManager = crossDeptManager;
    }

    public String getDeliveryId() {
        return deliveryId;
    }

    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }

    public String getDeptmanager() {
        return deptmanager;
    }

    public void setDeptmanager(String deptmanager) {
        this.deptmanager = deptmanager;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public void setId(Long id)
            {
            this.id = id;
            }

    public Long getId()
            {
            return id;
            }
    public void setItemList(String itemList)
            {
            this.itemList = itemList;
            }

    public String getItemList()
            {
            return itemList;
            }
    public void setCkType(String ckType)
            {
            this.ckType = ckType;
            }

    public String getCkType()
            {
            return ckType;
            }

    public String getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }

    public void setApplyer(String applyer)
            {
            this.applyer = applyer;
            }

    public String getApplyer()
            {
            return applyer;
            }

    public String getStorageId() {
        return storageId;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    @Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("itemList", getItemList())
            .append("ckType", getCkType())
            .append("applyTime", getApplyTime())
            .append("applyer", getApplyer())
            .append("ManagerName", getManagerName())
            .append("Deptmanager", getDeptmanager())
            .append("CrossDeptManager", getCrossDeptManager())
        .toString();
        }
}


















